stages:
  - build-docker

build-docker-master-latest:
  image: docker:$DOCKER_VERSION
  stage: build-docker
  services:
    - docker:$DOCKER_DIND_VERSION
  variables:
    DOCKER_HOST: tcp://localhost:2375
    DOCKER_DRIVER: overlay2
    DOCKER_TLS_CERTDIR: ''
  script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    - IMAGE_TAG_VERSION="$CI_REGISTRY_IMAGE:3-management-$CI_JOB_ID"
    - IMAGE_TAG_ORIGINAL="$CI_REGISTRY_IMAGE:3-management"
    - IMAGE_TAG_LATEST="$CI_REGISTRY_IMAGE:latest"
    - docker build -t "$IMAGE_TAG_VERSION" -t "$IMAGE_TAG_ORIGINAL" -t "$IMAGE_TAG_LATEST" .
    - docker push "$IMAGE_TAG_ORIGINAL"
    - docker push "$IMAGE_TAG_VERSION"
    - docker push "$IMAGE_TAG_LATEST"
  only:
    - master

build-docker-branch:
  image: docker:$DOCKER_VERSION
  stage: build-docker
  services:
    - docker:$DOCKER_DIND_VERSION
  variables:
    DOCKER_HOST: tcp://localhost:2375
    DOCKER_DRIVER: overlay2
    DOCKER_TLS_CERTDIR: ''
  script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    - IMAGE_TAG="$CI_REGISTRY_IMAGE:$CI_COMMIT_REF_NAME"
    - docker build -t "$IMAGE_TAG" .
    - docker push "$IMAGE_TAG"
  except:
    - master